Bug 1541700 - RHOS 12: Infra provider scale down is broken
Summary: RHOS 12: Infra provider scale down is broken
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.8.4
Assignee: Marek Aufart
QA Contact: Jadh
URL:
Whiteboard:
Keywords: Regression, ReleaseNotes, ZStream
Depends On: 1540579 1573893
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-02-04 08:08 UTC by Jadh
Modified: 2018-06-25 14:17 UTC (History)
12 users (show)

(edit)
Cause: Deployment roles were not loaded correctly by refresh on OSP12.

Consequence: Scale down action which depends on these roles was not usable (cannot proceed in UI).

Fix: Refresh parsing of Heat Stacks for OSP12 was fixed.

Result: Deployment roles are available and nothing prevents pass the UI form for Scale down action and perform it.
Clone Of:
(edit)
Last Closed: 2018-06-25 14:17:13 UTC


Attachments (Terms of Use)
Scale Infrastructure Provider Down page (80.08 KB, image/png)
2018-02-04 08:08 UTC, Jadh
no flags Details
evm log (2.93 MB, text/plain)
2018-02-04 08:09 UTC, Jadh
no flags Details
Scale down is broken also in RHOS 9 (83.78 KB, image/png)
2018-02-05 13:16 UTC, Jadh
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1972 None None None 2018-06-25 14:17 UTC

Description Jadh 2018-02-04 08:08:25 UTC
Created attachment 1390761 [details]
Scale Infrastructure Provider Down page

Description of problem:
Scaling down infra provider compute nodes is not available after toggling a compute node maintenance mode

Version-Release number of selected component (if applicable):
5.8.3.2 over RHOS 12

How reproducible:
Always

Steps to Reproduce:
1. Enable maintenance mode on a compute node
2. Navigate to Compute > Infrastructure > providers
3. Enter infra provider details
4. Go to Configuration > Scale this Infrastructure Provider Down

Actual results:
Scale Infrastructure Provider Down page appears without eligible compute node to be scaled down (See attachment)

Expected results:
Compute nodes with maintenance mode enabled should be available for selection to be scaled down  

Additional info:

Comment 2 Jadh 2018-02-04 08:09 UTC
Created attachment 1390762 [details]
evm log

Comment 3 Jadh 2018-02-05 13:16 UTC
Created attachment 1391513 [details]
Scale down is broken also in RHOS 9

Comment 4 Jadh 2018-02-05 13:17:19 UTC
Scale down is broken also in RHOS 9 (See attachment)

Comment 5 Marek Aufart 2018-02-06 08:26:09 UTC
Hi Jad, I can see a Vm running on each of Hosts. That most propably prevents from scale down.

Steps to do it could be 1. put node to maintenance mode (so nova will not assign new VM to the Host), 2. migrate instances to another node, 3. node should be available to remove/scale down. Could you try it?

Comment 7 Jadh 2018-02-06 12:50:12 UTC
Correction: It is working on RHOS 9.  looks like misconfiguration issue

Comment 16 Ido Ovadia 2018-05-02 13:26:26 UTC
Failed QA
=========
Depends on https://bugzilla.redhat.com/show_bug.cgi?id=1573893

Comment 23 errata-xmlrpc 2018-06-25 14:17:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1972


Note You need to log in before you can comment on or make changes to this bug.